/****************************************************************************
**
** Copyright (C) 2010 Nokia Corporation and/or its subsidiary(-ies).
** All rights reserved.
** Contact: Nokia Corporation (qt-info@nokia.com)
**
** This file is part of the examples of the Qt Toolkit.
**
** $QT_BEGIN_LICENSE:LGPL$
** Commercial Usage
** Licensees holding valid Qt Commercial licenses may use this file in
** accordance with the Qt Commercial License Agreement provided with the
** Software or, alternatively, in accordance with the terms contained in
** a written agreement between you and Nokia.
**
** GNU Lesser General Public License Usage
** Alternatively, this file may be used under the terms of the GNU Lesser
** General Public License version 2.1 as published by the Free Software
** Foundation and appearing in the file LICENSE.LGPL included in the
** packaging of this file.  Please review the following information to
** ensure the GNU Lesser General Public License version 2.1 requirements
** will be met: http://www.gnu.org/licenses/old-licenses/lgpl-2.1.html.
**
** In addition, as a special exception, Nokia gives you certain additional
** rights.  These rights are described in the Nokia Qt LGPL Exception
** version 1.1, included in the file LGPL_EXCEPTION.txt in this package.
**
** GNU General Public License Usage
** Alternatively, this file may be used under the terms of the GNU
** General Public License version 3.0 as published by the Free Software
** Foundation and appearing in the file LICENSE.GPL included in the
** packaging of this file.  Please review the following information to
** ensure the GNU General Public License version 3.0 requirements will be
** met: http://www.gnu.org/copyleft/gpl.html.
**
** If you have questions regarding the use of this file, please contact
** Nokia at qt-info@nokia.com.
** $QT_END_LICENSE$
**
****************************************************************************/

#include <QApplication>

#include "receiver.h"
#include "stdio.h"
int main(int argc, char *argv[])
{
    unsigned int portIn=27016; //port d'entrér pour ce logiciel par défaut
    unsigned int portOut=27017;//port de sortie pour ce logiciel par défaut
    char destIP[100]="192.168.1.100";
    //voir le script lance8 pour lancement automatique de 8 instances

    QApplication app(argc, argv);

    if (argc>=4)
        {
        sscanf(argv[1],"%s",destIP);
        sscanf(argv[2],"%d",&portIn);
        sscanf(argv[3],"%d",&portOut);
        }
     int posx=100;int posy=100;int sizex=500;int sizey=180;
     if (argc==8)
    {
        sscanf(argv[4],"%d",&posx);
        sscanf(argv[5],"%d",&posy);
        sscanf(argv[6],"%d",&sizex);
        sscanf(argv[7],"%d",&sizey);
    }
     Receiver receiver(destIP,portIn,portOut, posx,posy,sizex,sizey);
    receiver.show();
    return receiver.exec();
}
